html, body{
  padding: 0;
  margin: 0;
  overflow: hidden;
}

#viewport{
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

#ui{
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

input{
  position: absolute;
  left: 10px;
  bottom: 10px;
}

textarea{
  position: absolute;
  bottom: 50px;
  left: 10px;
}
